Delete Device

Prev Next

This URL deletes the specified device.

Resource URL

GET /domain/<domain_id>/device/<device_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

device_id

Device id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Status returned by deletion

Number

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/device/120

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

400

4002

Invalid alert exception id